Waiting for Customer Follow-Ups API
- List waiting for customer follow-ups
- Get a single waiting for customer follow-up
- Create a waiting for customer follow-up
- Update a waiting for customer follow-up
- Fields
List waiting for customer follow-ups
Заголовок раздела «List waiting for customer follow-ups»List all waiting for customer follow-ups for an account:
GET /waiting_for_customer_follow_upsResponse
Заголовок раздела «Response»Status: 200 OK[ { "id": 2, "sourceID": null, "name": "Scheme 1", "created_at": "2016-12-23T05:09:03-06:00", "updated_at": "2016-12-23T05:09:03-06:00" }, { "id": 3, "sourceID": null, "name": "Scheme 2", "created_at": "2016-12-23T05:09:03-06:00", "updated_at": "2016-12-23T05:09:03-06:00" }]The response contains these fields by default. Filtering and pagination are available to reduce/limit the collection of timesheet settings.
Predefined Filters
Заголовок раздела «Predefined Filters»The following predefined filters are available:
/waiting_for_customer_follow_ups/enabled: List all enabled waiting for customer follow-ups/waiting_for_customer_follow_ups/disabled: List all disabled waiting for customer follow-ups
Collection Fields
Заголовок раздела «Collection Fields»By default the following fields will appear in collections of waiting for customer follow-ups:
id
sourceID
name
created_at
updated_at
Obtain a different set of fields using the ?fields= parameter .
Filtering
Заголовок раздела «Filtering»Filtering is available for the following fields :
id
source
sourceID
disabled
name
created_at
updated_at
The filters on
source
,
sourceID
, and
name
are not case sensitive.
Sorting
Заголовок раздела «Sorting»By default a collection of waiting for customer follow-ups is sorted
ascending
by
name
.
The following fields are accepted by the ?sort= parameter :
id
sourceID
name
created_at
updated_at
Get a single waiting for customer follow-up
Заголовок раздела «Get a single waiting for customer follow-up»GET /waiting_for_customer_follow_ups/:idResponse
Заголовок раздела «Response»Status: 200 OK{ "created_at": "2016-12-23T05:09:03-06:00", "disabled": false, "id": 3, "name": "Scheme 1", "auto_complete": true, "source": null, "sourceID": null, "updated_at": "2016-12-23T05:09:03-06:00"}The response contains these fields .
Create a waiting for customer follow-up
Заголовок раздела «Create a waiting for customer follow-up»POST /waiting_for_customer_follow_upsWhen creating a new waiting for customer follow-up these fields are available.
Response
Заголовок раздела «Response»Status: 201 Created{ "name": "...", "...": "..."}The response contains all fields of the created waiting for customer follow-up and is similar to the response in Get a single waiting for customer follow-up
Update a waiting for customer follow-up
Заголовок раздела «Update a waiting for customer follow-up»PATCH /waiting_for_customer_follow_ups/:idWhen updating a waiting for customer follow-up these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "name": "...", "...": "..."}The response contains all fields of the updated waiting for customer follow-up and is similar to the response in Get a single waiting for customer follow-up
auto_complete
Optional
boolean
, default:
false
— If auto-complete is checked the request will be auto-completed when the last waiting for customer rule is triggered.
created_at
Readonly datetime — The date and time at which the waiting for customer follow-up was created.
disabled
Optional
boolean
, default:
false
— The Disabled box is checked when the waiting for customer follow-up may no longer be related to any more service offerings.
id
Readonly integer — The unique ID of the waiting for customer follow-up.
name
Required string (max 80) — The Name field is used to enter the name of the waiting for customer follow-up.
source
Optional string (max 30) - See source
sourceID
Optional string (max 128) - See source
updated_at
Readonly
datetime
— The date and time of the last update of the waiting for customer follow-up. If the waiting for customer follow-up has no updates it contains the
created_at
value.